require 'application_system_test_case'

class BrowsesTest < ApplicationSystemTestCase
  # test "visiting the index" do
  #   visit browses_url
  #
  #   assert_selector "h1", text: "Browse"
  # end

  test 'user can see home page' do
    visit root_path
    assert_text(/This website lets you browse screenshots of [\d,]+ software packages/)
  end

  test 'user can browse packages' do
    visit packages_grid_path
    assert page.has_link?(nil, href: packages_grid_path(page: 2))
  end
end
